slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSMonitorSetFromOptions(EPS eps,const char opt[],const char name[],void *ctx,PetscBool trackall)

Collective

### Input Parameters

| eps | - the eigensolver context
| opt | - the command line option for this monitor
| name | - the monitor type one is seeking
| ctx | - an optional user context for the monitor, or NULL
| trackall | - whether this monitor tracks all eigenvalues or not

### See Also

EPSMonitorSet(), EPSSetTrackAll()

### Level

developer

### Location

src/eps/interface/epsopts.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages